> ## Documentation Index
> Fetch the complete documentation index at: https://together-ai-preview.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Quickstart

> Get up to speed with our API in one minute.

Together AI makes it easy to run leading open-source models using only a few lines of code.

## [1. Register for an account](#1-register-for-an-account)

First, [register for an account](https://api.together.xyz/settings/api-keys) to get an API key. New accounts come with \$5 to get started.

Once you've registered, set your account's API key to an environment variable named <button aria-label="Copy Code" class="rdmd-code-copy fa" /><code class="rdmd-code lang- theme-light" data-lang="" name="" tabindex="0">TOGETHER\_API\_KEY</code>:

```shell theme={null}
export TOGETHER_API_KEY=xxxxx
```

## [2. Install your preferred library](#2-install-your-preferred-library)

Together provides an official library for Python:

```
pip install together
```

As well as an official library for TypeScript/JavaScript:

```
npm install together-ai
```

You can also call our HTTP API directly using any language you like.

## [3. Run your first query against a model](#3-run-your-first-query-against-a-model)

Choose a model to query. In this example, we'll use Meta Llama 3.

With your selected model, use your preferred library to query one of Together's APIs – for example, to run a chat completion with streaming:

<Tabs>
  <Tab title="python">
    ```python Python theme={null}
    import os
    from together import Together

    client = Together(api_key=os.environ.get("TOGETHER_API_KEY"))

    stream = client.chat.completions.create(
    model="meta-llama/Meta-Llama-3.1-8B-Instruct-Turbo",
    messages=[{"role": "user", "content": "What are some fun things to do in New York?"}],
    stream=True,
    )

    for chunk in stream:
    print(chunk.choices[0].delta.content or "", end="", flush=True)
    ```
  </Tab>

  <Tab title="Typescript">
    ```Typescript Typescript theme={null}
    import Together from 'together-ai';

    const together = new Together({
    apiKey: process.env['TOGETHER_API_KEY'],
    });

    const stream = await together.chat.completions.create({
    model: 'meta-llama/Meta-Llama-3.1-8B-Instruct-Turbo',
    messages: [
    { role: 'user', content: 'What are some fun things to do in New York?' },
    ],
    stream: true,
    });

    for await (const chunk of stream) {
    // use process.stdout.write instead of console.log to avoid newlines
    process.stdout.write(chunk.choices[0]?.delta?.content || '');
    }
    ```
  </Tab>

  <Tab title="HTTP">
    ```
    curl -X POST "https://api.together.xyz/v1/chat/completions" \
     -H "Authorization: Bearer $TOGETHER_API_KEY" \
     -H "Content-Type: application/json" \
     -d '{
     	"model": "meta-llama/Meta-Llama-3.1-8B-Instruct-Turbo",
     	"messages": [
          {"role": "user", "content": "What are some fun things to do in New York?"}
     	]
     }'
    ```
  </Tab>
</Tabs>

Congratulations – you've just made your first query to Together AI!

## [Next steps](#next-steps)

You can choose from any of our [many supported models](/docs/inference-models) to generate chat, images, language, or code.

* Check out the [Together AI playground](https://api.together.xyz/playground) to try out different models.
* Learn how to [stream responses](/docs/inference-streaming-tokens) back to your applications.
* Explore [our examples](/docs/examples) to learn about various use cases.
* See [our integrations](/docs/integrations) with leading LLM frameworks.

## [Resources](#resources)

* [Pricing](https://www.together.ai/pricing)
* [Support](https://www.together.ai/contact)
* [Privacy policy](https://www.together.ai/privacy)

Updated 16 days ago

***
